SalesOS.

Integrations

Third-party integration management

Get status of all integrations for current organization

GET
/v1/integrations/status

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/integrations/status" \
  -H "Authorization: Bearer <token>"

All integration statuses

Get status of a specific integration for current organization

GET
/v1/integrations/{integrationType}/status

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

integrationTypeRequiredstring
curl -X GET "https://api.salesos.org/v1/integrations/<string>/status" \
  -H "Authorization: Bearer <token>"

Integration status

Test connection for an integration

POST
/v1/integrations/{integrationType}/test

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

integrationTypeRequiredstring
curl -X POST "https://api.salesos.org/v1/integrations/<string>/test" \
  -H "Authorization: Bearer <token>"

Connection test result

Initiate OAuth flow for an integration

POST
/v1/integrations/{integrationType}/connect

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

integrationTypeRequiredstring
curl -X POST "https://api.salesos.org/v1/integrations/<string>/connect" \
  -H "Authorization: Bearer <token>"

OAuth URL or connection result

Trigger sync for an integration

POST
/v1/integrations/{integrationType}/sync

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

integrationTypeRequiredstring
curl -X POST "https://api.salesos.org/v1/integrations/<string>/sync" \
  -H "Authorization: Bearer <token>"

Sync result

Get list of all available integrations

GET
/v1/integrations/all

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/integrations/all" \
  -H "Authorization: Bearer <token>"

All available integrations

Health check a single integration

GET
/v1/integrations/{provider}/health

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

providerRequiredstring
curl -X GET "https://api.salesos.org/v1/integrations/<string>/health" \
  -H "Authorization: Bearer <token>"

Single integration health result